POST/shorts.v1alpha1.MarketService/GetMarketByDate

GetMarketByDate

Get all short positions for a specific trading date

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object

Request for GetMarketByDate RPC

datestring

YYYY-MM-DD format (proto string)

limitinteger <int32>

Max stocks to return (default 50) (proto int32)

offsetinteger <int32>

Pagination offset (proto int32)

Responses

200Success
application/json
object

Response for GetMarketByDate RPC

datestring

(proto string)

nextDatestring

Next trading date for navigation (proto string)

previousDatestring

Previous trading date for navigation (proto string)

stocksarray

(proto stocks.v1alpha1.Stock)

Array Items:
totalCountinteger <int32>

(proto int32)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.MarketService/GetMarketByDate" \
  -H "Content-Type: application/json" \
  -d '{
  "date": "string",
  "limit": 0,
  "offset": 0
}'